diff --git a/ports/www/chromium/dragonfly/patch-all b/ports/www/chromium/dragonfly/patch-all
index 6ecc716fa2a..7c61c59709b 100644
--- a/ports/www/chromium/dragonfly/patch-all
+++ b/ports/www/chromium/dragonfly/patch-all
@@ -1760,204 +2355,8 @@ index 05247e1cd5c..03e63b1c507 100644
    // TLS is fast on these platforms.
    // TODO(csharrison): Qualify this statement for Android.
    const bool kMainThreadAlwaysChecksTLS = true;
-diff --git third_party/boringssl/src/include/stdatomic.h third_party/boringssl/src/include/stdatomic.h
-new file mode 100644
-index 00000000000..b4845a74e49
---- /dev/null
-+++ third_party/boringssl/src/include/stdatomic.h
-@@ -0,0 +1,190 @@
-+/*===---- stdatomic.h - Standard header for atomic types and operations -----===
-+ *
-+ * Permission is hereby granted, free of charge, to any person obtaining a copy
-+ * of this software and associated documentation files (the "Software"), to deal
-+ * in the Software without restriction, including without limitation the rights
-+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-+ * copies of the Software, and to permit persons to whom the Software is
-+ * furnished to do so, subject to the following conditions:
-+ *
-+ * The above copyright notice and this permission notice shall be included in
-+ * all copies or substantial portions of the Software.
-+ *
-+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-+ * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-+ * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
-+ * THE SOFTWARE.
-+ *
-+ *===-----------------------------------------------------------------------===
-+ */
-+
-+#ifndef __CLANG_STDATOMIC_H
-+#define __CLANG_STDATOMIC_H
-+
-+/* If we're hosted, fall back to the system's stdatomic.h. FreeBSD, for
-+ * example, already has a Clang-compatible stdatomic.h header.
-+ */
-+#if __STDC_HOSTED__ && __has_include_next(<stdatomic.h>)
-+# include_next <stdatomic.h>
-+#else
-+
-+#include <stddef.h>
-+#include <stdint.h>
-+
-+#ifdef __cplusplus
-+extern "C" {
-+#endif
-+
-+/* 7.17.1 Introduction */
-+
-+#define ATOMIC_BOOL_LOCK_FREE       __CLANG_ATOMIC_BOOL_LOCK_FREE
-+#define ATOMIC_CHAR_LOCK_FREE       __CLANG_ATOMIC_CHAR_LOCK_FREE
-+#define ATOMIC_CHAR16_T_LOCK_FREE   __CLANG_ATOMIC_CHAR16_T_LOCK_FREE
-+#define ATOMIC_CHAR32_T_LOCK_FREE   __CLANG_ATOMIC_CHAR32_T_LOCK_FREE
-+#define ATOMIC_WCHAR_T_LOCK_FREE    __CLANG_ATOMIC_WCHAR_T_LOCK_FREE
-+#define ATOMIC_SHORT_LOCK_FREE      __CLANG_ATOMIC_SHORT_LOCK_FREE
-+#define ATOMIC_INT_LOCK_FREE        __CLANG_ATOMIC_INT_LOCK_FREE
-+#define ATOMIC_LONG_LOCK_FREE       __CLANG_ATOMIC_LONG_LOCK_FREE
-+#define ATOMIC_LLONG_LOCK_FREE      __CLANG_ATOMIC_LLONG_LOCK_FREE
-+#define ATOMIC_POINTER_LOCK_FREE    __CLANG_ATOMIC_POINTER_LOCK_FREE
-+
-+/* 7.17.2 Initialization */
-+
-+#define ATOMIC_VAR_INIT(value) (value)
-+#define atomic_init __c11_atomic_init
-+
-+/* 7.17.3 Order and consistency */
-+
-+typedef enum memory_order {
-+  memory_order_relaxed = __ATOMIC_RELAXED,
-+  memory_order_consume = __ATOMIC_CONSUME,
-+  memory_order_acquire = __ATOMIC_ACQUIRE,
-+  memory_order_release = __ATOMIC_RELEASE,
-+  memory_order_acq_rel = __ATOMIC_ACQ_REL,
-+  memory_order_seq_cst = __ATOMIC_SEQ_CST
-+} memory_order;
-+
-+#define kill_dependency(y) (y)
-+
-+/* 7.17.4 Fences */
-+
-+/* These should be provided by the libc implementation. */
-+void atomic_thread_fence(memory_order);
-+void atomic_signal_fence(memory_order);
-+
-+#define atomic_thread_fence(order) __c11_atomic_thread_fence(order)
-+#define atomic_signal_fence(order) __c11_atomic_signal_fence(order)
-+
-+/* 7.17.5 Lock-free property */
-+
-+#define atomic_is_lock_free(obj) __c11_atomic_is_lock_free(sizeof(*(obj)))
-+
-+/* 7.17.6 Atomic integer types */
-+
-+#ifdef __cplusplus
-+typedef _Atomic(bool)               atomic_bool;
-+#else
-+typedef _Atomic(_Bool)              atomic_bool;
-+#endif
-+typedef _Atomic(char)               atomic_char;
-+typedef _Atomic(signed char)        atomic_schar;
-+typedef _Atomic(unsigned char)      atomic_uchar;
-+typedef _Atomic(short)              atomic_short;
-+typedef _Atomic(unsigned short)     atomic_ushort;
-+typedef _Atomic(int)                atomic_int;
-+typedef _Atomic(unsigned int)       atomic_uint;
-+typedef _Atomic(long)               atomic_long;
-+typedef _Atomic(unsigned long)      atomic_ulong;
-+typedef _Atomic(long long)          atomic_llong;
-+typedef _Atomic(unsigned long long) atomic_ullong;
-+typedef _Atomic(uint_least16_t)     atomic_char16_t;
-+typedef _Atomic(uint_least32_t)     atomic_char32_t;
-+typedef _Atomic(wchar_t)            atomic_wchar_t;
-+typedef _Atomic(int_least8_t)       atomic_int_least8_t;
-+typedef _Atomic(uint_least8_t)      atomic_uint_least8_t;
-+typedef _Atomic(int_least16_t)      atomic_int_least16_t;
-+typedef _Atomic(uint_least16_t)     atomic_uint_least16_t;
-+typedef _Atomic(int_least32_t)      atomic_int_least32_t;
-+typedef _Atomic(uint_least32_t)     atomic_uint_least32_t;
-+typedef _Atomic(int_least64_t)      atomic_int_least64_t;
-+typedef _Atomic(uint_least64_t)     atomic_uint_least64_t;
-+typedef _Atomic(int_fast8_t)        atomic_int_fast8_t;
-+typedef _Atomic(uint_fast8_t)       atomic_uint_fast8_t;
-+typedef _Atomic(int_fast16_t)       atomic_int_fast16_t;
-+typedef _Atomic(uint_fast16_t)      atomic_uint_fast16_t;
-+typedef _Atomic(int_fast32_t)       atomic_int_fast32_t;
-+typedef _Atomic(uint_fast32_t)      atomic_uint_fast32_t;
-+typedef _Atomic(int_fast64_t)       atomic_int_fast64_t;
-+typedef _Atomic(uint_fast64_t)      atomic_uint_fast64_t;
-+typedef _Atomic(intptr_t)           atomic_intptr_t;
-+typedef _Atomic(uintptr_t)          atomic_uintptr_t;
-+typedef _Atomic(size_t)             atomic_size_t;
-+typedef _Atomic(ptrdiff_t)          atomic_ptrdiff_t;
-+typedef _Atomic(intmax_t)           atomic_intmax_t;
-+typedef _Atomic(uintmax_t)          atomic_uintmax_t;
-+
-+/* 7.17.7 Operations on atomic types */
-+
-+#define atomic_store(object, desired) __c11_atomic_store(object, desired, __ATOMIC_SEQ_CST)
-+#define atomic_store_explicit __c11_atomic_store
-+
-+#define atomic_load(object) __c11_atomic_load(object, __ATOMIC_SEQ_CST)
-+#define atomic_load_explicit __c11_atomic_load
-+
-+#define atomic_exchange(object, desired) __c11_atomic_exchange(object, desired, __ATOMIC_SEQ_CST)
-+#define atomic_exchange_explicit __c11_atomic_exchange
-+
-+#define atomic_compare_exchange_strong(object, expected, desired) __c11_atomic_compare_exchange_strong(object, expected, desired, __ATOMIC_SEQ_CST, __ATOMIC_SEQ_CST)
-+#define atomic_compare_exchange_strong_explicit __c11_atomic_compare_exchange_strong
-+
-+#define atomic_compare_exchange_weak(object, expected, desired) __c11_atomic_compare_exchange_weak(object, expected, desired, __ATOMIC_SEQ_CST, __ATOMIC_SEQ_CST)
-+#define atomic_compare_exchange_weak_explicit __c11_atomic_compare_exchange_weak
-+
-+#define atomic_fetch_add(object, operand) __c11_atomic_fetch_add(object, operand, __ATOMIC_SEQ_CST)
-+#define atomic_fetch_add_explicit __c11_atomic_fetch_add
-+
-+#define atomic_fetch_sub(object, operand) __c11_atomic_fetch_sub(object, operand, __ATOMIC_SEQ_CST)
-+#define atomic_fetch_sub_explicit __c11_atomic_fetch_sub
-+
-+#define atomic_fetch_or(object, operand) __c11_atomic_fetch_or(object, operand, __ATOMIC_SEQ_CST)
-+#define atomic_fetch_or_explicit __c11_atomic_fetch_or
-+
-+#define atomic_fetch_xor(object, operand) __c11_atomic_fetch_xor(object, operand, __ATOMIC_SEQ_CST)
-+#define atomic_fetch_xor_explicit __c11_atomic_fetch_xor
-+
-+#define atomic_fetch_and(object, operand) __c11_atomic_fetch_and(object, operand, __ATOMIC_SEQ_CST)
-+#define atomic_fetch_and_explicit __c11_atomic_fetch_and
-+
-+/* 7.17.8 Atomic flag type and operations */
-+
-+typedef struct atomic_flag { atomic_bool _Value; } atomic_flag;
-+
-+#define ATOMIC_FLAG_INIT { 0 }
-+
-+/* These should be provided by the libc implementation. */
-+#ifdef __cplusplus
-+bool atomic_flag_test_and_set(volatile atomic_flag *);
-+bool atomic_flag_test_and_set_explicit(volatile atomic_flag *, memory_order);
-+#else
-+_Bool atomic_flag_test_and_set(volatile atomic_flag *);
-+_Bool atomic_flag_test_and_set_explicit(volatile atomic_flag *, memory_order);
-+#endif
-+void atomic_flag_clear(volatile atomic_flag *);
-+void atomic_flag_clear_explicit(volatile atomic_flag *, memory_order);
-+
-+#define atomic_flag_test_and_set(object) __c11_atomic_exchange(&(object)->_Value, 1, __ATOMIC_SEQ_CST)
-+#define atomic_flag_test_and_set_explicit(object, order) __c11_atomic_exchange(&(object)->_Value, 1, order)
-+
-+#define atomic_flag_clear(object) __c11_atomic_store(&(object)->_Value, 0, __ATOMIC_SEQ_CST)
-+#define atomic_flag_clear_explicit(object, order) __c11_atomic_store(&(object)->_Value, 0, order)
-+
-+#ifdef __cplusplus
-+}
-+#endif
-+
-+#endif /* __STDC_HOSTED__ */
-+#endif /* __CLANG_STDATOMIC_H */
-+
 diff --git third_party/brotli/common/platform.h third_party/brotli/common/platform.h
-index 4e470b6e289..f5f07239682 100644
+index 4e470b6e289b..f5f072396829 100644
 --- third_party/brotli/common/platform.h
 +++ third_party/brotli/common/platform.h
 @@ -30,7 +30,7 @@
@@ -1970,7 +2369,7 @@ index 4e470b6e289..f5f07239682 100644
  #elif defined(OS_MACOSX)
  #include <machine/endian.h>
 diff --git third_party/catapult/common/py_trace_event/py_trace_event/trace_time.py third_party/catapult/common/py_trace_event/py_trace_event/trace_time.py
-index 9455125d209..0dced7919ee 100644
+index 9455125d2090..0dced7919ee6 100644
 --- third_party/catapult/common/py_trace_event/py_trace_event/trace_time.py
 +++ third_party/catapult/common/py_trace_event/py_trace_event/trace_time.py
 @@ -27,6 +27,7 @@ _PLATFORMS = {
@@ -1998,7 +2397,7 @@ index 9455125d209..0dced7919ee 100644
          or plat.startswith(_PLATFORMS['sunos'])):
      InitializeLinuxNowFunction(plat)
 diff --git third_party/catapult/common/py_trace_event/py_trace_event/trace_time_unittest.py third_party/catapult/common/py_trace_event/py_trace_event/trace_time_unittest.py
-index 509900b27d0..53eb541f7a4 100644
+index 509900b27d09..53eb541f7a45 100644
 --- third_party/catapult/common/py_trace_event/py_trace_event/trace_time_unittest.py
 +++ third_party/catapult/common/py_trace_event/py_trace_event/trace_time_unittest.py
 @@ -104,6 +104,9 @@ class TimerTest(unittest.TestCase):
@@ -2012,7 +2411,7 @@ index 509900b27d0..53eb541f7a4 100644
      self.assertEquals(trace_time.GetClockGetTimeClockNumber('bsd'), 3)
  
 diff --git third_party/catapult/third_party/gsutil/third_party/monotonic/monotonic.py third_party/catapult/third_party/gsutil/third_party/monotonic/monotonic.py
-index e36b7f7943b..c48cc7bb6c4 100644
+index e36b7f7943bf..c48cc7bb6c40 100644
 --- third_party/catapult/third_party/gsutil/third_party/monotonic/monotonic.py
 +++ third_party/catapult/third_party/gsutil/third_party/monotonic/monotonic.py
 @@ -146,6 +146,8 @@ except AttributeError:
@@ -2025,7 +2424,7 @@ index e36b7f7943b..c48cc7bb6c4 100644
                  CLOCK_MONOTONIC = 4
              elif 'bsd' in sys.platform:
 diff --git third_party/crashpad/crashpad/util/misc/capture_context.h third_party/crashpad/crashpad/util/misc/capture_context.h
-index 63e57a29acf..c9c0e9476fd 100644
+index 63e57a29acfd..c9c0e9476fd2 100644
 --- third_party/crashpad/crashpad/util/misc/capture_context.h
 +++ third_party/crashpad/crashpad/util/misc/capture_context.h
 @@ -22,7 +22,7 @@
@@ -2039,7 +2438,7 @@ index 63e57a29acf..c9c0e9476fd 100644
  
 diff --git third_party/dav1d/libdav1d/include/stdatomic.h third_party/dav1d/libdav1d/include/stdatomic.h
 new file mode 100644
-index 00000000000..b4845a74e49
+index 000000000000..b4845a74e494
 --- /dev/null
 +++ third_party/dav1d/libdav1d/include/stdatomic.h
 @@ -0,0 +1,190 @@
@@ -2234,21 +2633,21 @@ index 00000000000..b4845a74e49
 +#endif /* __CLANG_STDATOMIC_H */
 +
 diff --git third_party/dawn/include/dawn/native/VulkanBackend.h third_party/dawn/include/dawn/native/VulkanBackend.h
-index 4eee9ee3a65..20fd01afe56 100644
+index 3221ad2e37dd..0afe8f4adc72 100644
 --- third_party/dawn/include/dawn/native/VulkanBackend.h
 +++ third_party/dawn/include/dawn/native/VulkanBackend.h
 @@ -83,7 +83,8 @@ struct ExternalImageExportInfoVk : ExternalImageExportInfo {
  };
  
  // Can't use DAWN_PLATFORM_IS(LINUX) since header included in both Dawn and Chrome
--#if defined(__linux__) || defined(__OpenBSD__) || defined(__FreeBSD__)
-+#if defined(__linux__) || defined(__OpenBSD__) || defined(__FreeBSD__) || \
+-#if defined(__linux__) || defined(__Fuchsia__) || defined(__OpenBSD__) || defined(__FreeBSD__)
++#if defined(__linux__) || defined(__Fuchsia__) || defined(__OpenBSD__) || defined(__FreeBSD__) || \
 +  defined(__DragonFly__)
  
  // Common properties of external images represented by FDs. On successful import the file
  // descriptor's ownership is transferred to the Dawn implementation and they shouldn't be
 diff --git third_party/dawn/src/dawn/common/Platform.h third_party/dawn/src/dawn/common/Platform.h
-index 7833c5322f9..2fca89f0383 100644
+index 916b25f93750..8563a12d13ff 100644
 --- third_party/dawn/src/dawn/common/Platform.h
 +++ third_party/dawn/src/dawn/common/Platform.h
 @@ -59,7 +59,7 @@
@@ -2260,290 +2659,24 @@ index 7833c5322f9..2fca89f0383 100644
  #define DAWN_PLATFORM_IS_LINUX 1
  #define DAWN_PLATFORM_IS_BSD 1
  #define DAWN_PLATFORM_IS_POSIX 1
-diff --git third_party/ffmpeg/chromium/scripts/build_ffmpeg.py third_party/ffmpeg/chromium/scripts/build_ffmpeg.py
-index c073807f8b5..1918244c37c 100755
---- third_party/ffmpeg/chromium/scripts/build_ffmpeg.py
-+++ third_party/ffmpeg/chromium/scripts/build_ffmpeg.py
-@@ -47,6 +47,7 @@ ARCH_MAP = {
-     ],
-     'openbsd': ['x64', 'arm64', 'ia32'],
-     'freebsd': ['x64', 'arm64', 'ia32'],
-+    'dragonfly': ['x64'],
-     'mac': ['x64', 'arm64'],
-     'win': ['ia32', 'x64', 'arm64'],
- }
-@@ -58,6 +59,7 @@ Valid combinations are android     [%(android)s]
-                        mac         [%(mac)s]
-                        openbsd     [%(openbsd)s]
-                        freebsd     [%(freebsd)s]
-+                       freebsd     [%(dragonfly)s]
-                        win         [%(win)s]
- 
- If no target architecture is specified all will be built.
-@@ -134,6 +136,8 @@ def DetermineHostOsAndArch():
-     host_os = 'openbsd'
-   elif platform.system() == 'FreeBSD':
-     host_os = 'freebsd'
-+  elif platform.system() == 'DragonFly':
-+    host_os = 'dragonfly'
-   elif platform.system() == 'Darwin':
-     host_os = 'mac'
-   elif platform.system() == 'Windows' or 'CYGWIN_NT' in platform.system():
-@@ -503,7 +507,7 @@ def BuildFFmpeg(target_os, target_arch, host_os, host_arch, parallel_jobs,
-   # removing <sys/sysctl.h> soon, so this is needed to silence a deprecation
-   # #warning which will be converted to an error via -Werror.
-   # There is also no prctl.h
--  if target_os in ['linux', 'linux-noasm', 'openbsd', 'freebsd']:
-+  if target_os in ['linux', 'linux-noasm', 'openbsd', 'freebsd', 'dragonfly']:
-     pre_make_rewrites += [
-         (r'(#define HAVE_SYSCTL [01])',
-          r'#define HAVE_SYSCTL 0 /* \1 -- forced to 0 for Fuchsia */'),
-@@ -630,7 +634,7 @@ def main(argv):
-   configure_args = args[2:]
- 
- 
--  if target_os not in ('android', 'linux', 'linux-noasm', 'mac', 'win', 'all', 'openbsd', 'freebsd'):
-+  if target_os not in ('android', 'linux', 'linux-noasm', 'mac', 'win', 'all', 'openbsd', 'freebsd', 'dragonfly'):
-     parser.print_help()
-     return 1
- 
-@@ -750,7 +754,7 @@ def ConfigureAndBuild(target_arch, target_os, host_os, host_arch, parallel_jobs,
-         '--enable-parser=vp3,vp8',
-     ])
- 
--  if target_os in ('linux', 'linux-noasm', 'android', 'openbsd', 'freebsd'):
-+  if target_os in ('linux', 'linux-noasm', 'android', 'openbsd', 'freebsd','dragonfly'):
-     if target_arch == 'x64':
-       if target_os == 'android':
-         configure_flags['Common'].extend([
-@@ -851,7 +855,7 @@ def ConfigureAndBuild(target_arch, target_os, host_os, host_arch, parallel_jobs,
-               '--extra-cflags=-mfpu=vfpv3-d16',
-           ])
-     elif target_arch == 'arm64':
--      if target_os != 'android' and target_os != 'openbsd' and target_os != 'freebsd':
-+      if target_os != 'android' and target_os != 'openbsd' and target_os != 'freebsd' and target_os != 'dragonfly':
-         if host_arch != 'arm64':
-           configure_flags['Common'].extend([
-             '--enable-cross-compile',
-@@ -942,7 +946,7 @@ def ConfigureAndBuild(target_arch, target_os, host_os, host_arch, parallel_jobs,
-         '--disable-inline-asm',
-     ])
- 
--  if 'win' not in target_os and 'android' not in target_os:
-+  if 'win' not in target_os and 'android' not in target_os and 'dragonfly' not in target_os:
-     configure_flags['Common'].extend([
-         '--enable-pic',
-         '--cc=clang',
-@@ -1067,7 +1071,7 @@ def ConfigureAndBuild(target_arch, target_os, host_os, host_arch, parallel_jobs,
-         'Chrome', configure_flags['Common'] + configure_flags['ChromeAndroid'] +
-         configure_args)
- 
--  if target_os in ['linux', 'linux-noasm', 'openbsd', 'freebsd']:
-+  if target_os in ['linux', 'linux-noasm', 'openbsd', 'freebsd', 'dragonfly']:
-     # ChromeOS enables MPEG4 which requires error resilience :(
-     chrome_os_flags = (
-         configure_flags['Common'] + configure_flags['Chrome'] +
-diff --git third_party/ffmpeg/stdatomic.h third_party/ffmpeg/stdatomic.h
-new file mode 100644
-index 00000000000..b4845a74e49
---- /dev/null
-+++ third_party/ffmpeg/stdatomic.h
-@@ -0,0 +1,190 @@
-+/*===---- stdatomic.h - Standard header for atomic types and operations -----===
-+ *
-+ * Permission is hereby granted, free of charge, to any person obtaining a copy
-+ * of this software and associated documentation files (the "Software"), to deal
-+ * in the Software without restriction, including without limitation the rights
-+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-+ * copies of the Software, and to permit persons to whom the Software is
-+ * furnished to do so, subject to the following conditions:
-+ *
-+ * The above copyright notice and this permission notice shall be included in
-+ * all copies or substantial portions of the Software.
-+ *
-+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-+ * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-+ * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
-+ * THE SOFTWARE.
-+ *
-+ *===-----------------------------------------------------------------------===
-+ */
-+
-+#ifndef __CLANG_STDATOMIC_H
-+#define __CLANG_STDATOMIC_H
-+
-+/* If we're hosted, fall back to the system's stdatomic.h. FreeBSD, for
-+ * example, already has a Clang-compatible stdatomic.h header.
-+ */
-+#if __STDC_HOSTED__ && __has_include_next(<stdatomic.h>)
-+# include_next <stdatomic.h>
-+#else
-+
-+#include <stddef.h>
-+#include <stdint.h>
-+
-+#ifdef __cplusplus
-+extern "C" {
-+#endif
-+
-+/* 7.17.1 Introduction */
-+
-+#define ATOMIC_BOOL_LOCK_FREE       __CLANG_ATOMIC_BOOL_LOCK_FREE
-+#define ATOMIC_CHAR_LOCK_FREE       __CLANG_ATOMIC_CHAR_LOCK_FREE
-+#define ATOMIC_CHAR16_T_LOCK_FREE   __CLANG_ATOMIC_CHAR16_T_LOCK_FREE
-+#define ATOMIC_CHAR32_T_LOCK_FREE   __CLANG_ATOMIC_CHAR32_T_LOCK_FREE
-+#define ATOMIC_WCHAR_T_LOCK_FREE    __CLANG_ATOMIC_WCHAR_T_LOCK_FREE
-+#define ATOMIC_SHORT_LOCK_FREE      __CLANG_ATOMIC_SHORT_LOCK_FREE
-+#define ATOMIC_INT_LOCK_FREE        __CLANG_ATOMIC_INT_LOCK_FREE
-+#define ATOMIC_LONG_LOCK_FREE       __CLANG_ATOMIC_LONG_LOCK_FREE
-+#define ATOMIC_LLONG_LOCK_FREE      __CLANG_ATOMIC_LLONG_LOCK_FREE
-+#define ATOMIC_POINTER_LOCK_FREE    __CLANG_ATOMIC_POINTER_LOCK_FREE
-+
-+/* 7.17.2 Initialization */
-+
-+#define ATOMIC_VAR_INIT(value) (value)
-+#define atomic_init __c11_atomic_init
-+
-+/* 7.17.3 Order and consistency */
-+
-+typedef enum memory_order {
-+  memory_order_relaxed = __ATOMIC_RELAXED,
-+  memory_order_consume = __ATOMIC_CONSUME,
-+  memory_order_acquire = __ATOMIC_ACQUIRE,
-+  memory_order_release = __ATOMIC_RELEASE,
-+  memory_order_acq_rel = __ATOMIC_ACQ_REL,
-+  memory_order_seq_cst = __ATOMIC_SEQ_CST
-+} memory_order;
-+
-+#define kill_dependency(y) (y)
-+
-+/* 7.17.4 Fences */
-+
-+/* These should be provided by the libc implementation. */
-+void atomic_thread_fence(memory_order);
-+void atomic_signal_fence(memory_order);
-+
-+#define atomic_thread_fence(order) __c11_atomic_thread_fence(order)
-+#define atomic_signal_fence(order) __c11_atomic_signal_fence(order)
-+
-+/* 7.17.5 Lock-free property */
-+
-+#define atomic_is_lock_free(obj) __c11_atomic_is_lock_free(sizeof(*(obj)))
-+
-+/* 7.17.6 Atomic integer types */
-+
-+#ifdef __cplusplus
-+typedef _Atomic(bool)               atomic_bool;
-+#else
-+typedef _Atomic(_Bool)              atomic_bool;
-+#endif
-+typedef _Atomic(char)               atomic_char;
-+typedef _Atomic(signed char)        atomic_schar;
-+typedef _Atomic(unsigned char)      atomic_uchar;
-+typedef _Atomic(short)              atomic_short;
-+typedef _Atomic(unsigned short)     atomic_ushort;
-+typedef _Atomic(int)                atomic_int;
-+typedef _Atomic(unsigned int)       atomic_uint;
-+typedef _Atomic(long)               atomic_long;
-+typedef _Atomic(unsigned long)      atomic_ulong;
-+typedef _Atomic(long long)          atomic_llong;
-+typedef _Atomic(unsigned long long) atomic_ullong;
-+typedef _Atomic(uint_least16_t)     atomic_char16_t;
-+typedef _Atomic(uint_least32_t)     atomic_char32_t;
-+typedef _Atomic(wchar_t)            atomic_wchar_t;
-+typedef _Atomic(int_least8_t)       atomic_int_least8_t;
-+typedef _Atomic(uint_least8_t)      atomic_uint_least8_t;
-+typedef _Atomic(int_least16_t)      atomic_int_least16_t;
-+typedef _Atomic(uint_least16_t)     atomic_uint_least16_t;
-+typedef _Atomic(int_least32_t)      atomic_int_least32_t;
-+typedef _Atomic(uint_least32_t)     atomic_uint_least32_t;
-+typedef _Atomic(int_least64_t)      atomic_int_least64_t;
-+typedef _Atomic(uint_least64_t)     atomic_uint_least64_t;
-+typedef _Atomic(int_fast8_t)        atomic_int_fast8_t;
-+typedef _Atomic(uint_fast8_t)       atomic_uint_fast8_t;
-+typedef _Atomic(int_fast16_t)       atomic_int_fast16_t;
-+typedef _Atomic(uint_fast16_t)      atomic_uint_fast16_t;
-+typedef _Atomic(int_fast32_t)       atomic_int_fast32_t;
-+typedef _Atomic(uint_fast32_t)      atomic_uint_fast32_t;
-+typedef _Atomic(int_fast64_t)       atomic_int_fast64_t;
-+typedef _Atomic(uint_fast64_t)      atomic_uint_fast64_t;
-+typedef _Atomic(intptr_t)           atomic_intptr_t;
-+typedef _Atomic(uintptr_t)          atomic_uintptr_t;
-+typedef _Atomic(size_t)             atomic_size_t;
-+typedef _Atomic(ptrdiff_t)          atomic_ptrdiff_t;
-+typedef _Atomic(intmax_t)           atomic_intmax_t;
-+typedef _Atomic(uintmax_t)          atomic_uintmax_t;
-+
-+/* 7.17.7 Operations on atomic types */
-+
-+#define atomic_store(object, desired) __c11_atomic_store(object, desired, __ATOMIC_SEQ_CST)
-+#define atomic_store_explicit __c11_atomic_store
-+
-+#define atomic_load(object) __c11_atomic_load(object, __ATOMIC_SEQ_CST)
-+#define atomic_load_explicit __c11_atomic_load
-+
-+#define atomic_exchange(object, desired) __c11_atomic_exchange(object, desired, __ATOMIC_SEQ_CST)
-+#define atomic_exchange_explicit __c11_atomic_exchange
-+
-+#define atomic_compare_exchange_strong(object, expected, desired) __c11_atomic_compare_exchange_strong(object, expected, desired, __ATOMIC_SEQ_CST, __ATOMIC_SEQ_CST)
-+#define atomic_compare_exchange_strong_explicit __c11_atomic_compare_exchange_strong
-+
-+#define atomic_compare_exchange_weak(object, expected, desired) __c11_atomic_compare_exchange_weak(object, expected, desired, __ATOMIC_SEQ_CST, __ATOMIC_SEQ_CST)
-+#define atomic_compare_exchange_weak_explicit __c11_atomic_compare_exchange_weak
-+
-+#define atomic_fetch_add(object, operand) __c11_atomic_fetch_add(object, operand, __ATOMIC_SEQ_CST)
-+#define atomic_fetch_add_explicit __c11_atomic_fetch_add
-+
-+#define atomic_fetch_sub(object, operand) __c11_atomic_fetch_sub(object, operand, __ATOMIC_SEQ_CST)
-+#define atomic_fetch_sub_explicit __c11_atomic_fetch_sub
-+
-+#define atomic_fetch_or(object, operand) __c11_atomic_fetch_or(object, operand, __ATOMIC_SEQ_CST)
-+#define atomic_fetch_or_explicit __c11_atomic_fetch_or
-+
-+#define atomic_fetch_xor(object, operand) __c11_atomic_fetch_xor(object, operand, __ATOMIC_SEQ_CST)
-+#define atomic_fetch_xor_explicit __c11_atomic_fetch_xor
-+
-+#define atomic_fetch_and(object, operand) __c11_atomic_fetch_and(object, operand, __ATOMIC_SEQ_CST)
-+#define atomic_fetch_and_explicit __c11_atomic_fetch_and
-+
-+/* 7.17.8 Atomic flag type and operations */
-+
-+typedef struct atomic_flag { atomic_bool _Value; } atomic_flag;
-+
-+#define ATOMIC_FLAG_INIT { 0 }
-+
-+/* These should be provided by the libc implementation. */
-+#ifdef __cplusplus
-+bool atomic_flag_test_and_set(volatile atomic_flag *);
-+bool atomic_flag_test_and_set_explicit(volatile atomic_flag *, memory_order);
-+#else
-+_Bool atomic_flag_test_and_set(volatile atomic_flag *);
-+_Bool atomic_flag_test_and_set_explicit(volatile atomic_flag *, memory_order);
-+#endif
-+void atomic_flag_clear(volatile atomic_flag *);
-+void atomic_flag_clear_explicit(volatile atomic_flag *, memory_order);
-+
-+#define atomic_flag_test_and_set(object) __c11_atomic_exchange(&(object)->_Value, 1, __ATOMIC_SEQ_CST)
-+#define atomic_flag_test_and_set_explicit(object, order) __c11_atomic_exchange(&(object)->_Value, 1, order)
-+
-+#define atomic_flag_clear(object) __c11_atomic_store(&(object)->_Value, 0, __ATOMIC_SEQ_CST)
-+#define atomic_flag_clear_explicit(object, order) __c11_atomic_store(&(object)->_Value, 0, order)
-+
-+#ifdef __cplusplus
-+}
-+#endif
-+
-+#endif /* __STDC_HOSTED__ */
-+#endif /* __CLANG_STDATOMIC_H */
-+
+diff --git third_party/ffmpeg/BUILD.gn third_party/ffmpeg/BUILD.gn
+index 9cd3aafc96f9..de4e4b30d508 100644
+--- third_party/ffmpeg/BUILD.gn
++++ third_party/ffmpeg/BUILD.gn
+@@ -206,8 +206,6 @@ target(link_target_type, "ffmpeg_internal") {
+   ]
+   defines = [
+     "HAVE_AV_CONFIG_H",
+-    "_POSIX_C_SOURCE=200112",
+-    "_XOPEN_SOURCE=600",
+     "PIC",
+     "FFMPEG_CONFIGURATION=NULL",
+   ]
 diff --git third_party/googletest/src/googletest/include/gtest/internal/gtest-port.h third_party/googletest/src/googletest/include/gtest/internal/gtest-port.h
-index e178782ccdf..66ca425ee29 100644
+index 8d27c2c4f72f..95d970e55347 100644
 --- third_party/googletest/src/googletest/include/gtest/internal/gtest-port.h
 +++ third_party/googletest/src/googletest/include/gtest/internal/gtest-port.h
-@@ -117,6 +117,7 @@
+@@ -119,6 +119,7 @@
  //   GTEST_OS_CYGWIN   - Cygwin
  //   GTEST_OS_DRAGONFLY - DragonFlyBSD
  //   GTEST_OS_FREEBSD  - FreeBSD
@@ -2552,7 +2685,7 @@ index e178782ccdf..66ca425ee29 100644
  //   GTEST_OS_GNU_HURD - GNU/Hurd
  //   GTEST_OS_GNU_KFREEBSD - GNU/kFreeBSD
 diff --git third_party/grpc/src/include/grpc/support/port_platform.h third_party/grpc/src/include/grpc/support/port_platform.h
-index 189c8141b80..9034a66d7bb 100644
+index 189c8141b807..9034a66d7bb8 100644
 --- third_party/grpc/src/include/grpc/support/port_platform.h
 +++ third_party/grpc/src/include/grpc/support/port_platform.h
 @@ -252,7 +252,7 @@
@@ -2565,7 +2698,7 @@ index 189c8141b80..9034a66d7bb 100644
  #ifndef _BSD_SOURCE
  #define _BSD_SOURCE
 diff --git third_party/grpc/src/setup.py third_party/grpc/src/setup.py
-index 6501b43d612..e07b13bd33d 100644
+index 6501b43d6128..e07b13bd33d5 100644
 --- third_party/grpc/src/setup.py
 +++ third_party/grpc/src/setup.py
 @@ -62,7 +62,7 @@ CARES_INCLUDE = (
@@ -2578,7 +2711,7 @@ index 6501b43d612..e07b13bd33d 100644
  if 'linux' in sys.platform:
      CARES_INCLUDE += (os.path.join('third_party', 'cares', 'config_linux'),)
 diff --git third_party/grpc/src/src/c-ares/gen_build_yaml.py third_party/grpc/src/src/c-ares/gen_build_yaml.py
-index 607704ca278..e268a9f02ef 100755
+index 607704ca278f..e268a9f02efc 100755
 --- third_party/grpc/src/src/c-ares/gen_build_yaml.py
 +++ third_party/grpc/src/src/c-ares/gen_build_yaml.py
 @@ -32,7 +32,7 @@ try:
@@ -2591,7 +2724,7 @@ index 607704ca278..e268a9f02ef 100755
          if 'linux' in sys.platform:
              return 'src/cares/cares/config_linux/ares_config.h'
 diff --git third_party/grpc/src/test/cpp/qps/json_run_localhost.cc third_party/grpc/src/test/cpp/qps/json_run_localhost.cc
-index a36847d079f..b0d64744eae 100644
+index a36847d079f2..b0d64744eae3 100644
 --- third_party/grpc/src/test/cpp/qps/json_run_localhost.cc
 +++ third_party/grpc/src/test/cpp/qps/json_run_localhost.cc
 @@ -24,7 +24,7 @@
@@ -2604,7 +2737,7 @@ index a36847d079f..b0d64744eae 100644
  #endif
  
 diff --git third_party/icu/source/common/unicode/platform.h third_party/icu/source/common/unicode/platform.h
-index a997843660c..723ae2498ad 100644
+index a997843660c9..723ae2498ad7 100644
 --- third_party/icu/source/common/unicode/platform.h
 +++ third_party/icu/source/common/unicode/platform.h
 @@ -173,8 +173,8 @@
@@ -2619,7 +2752,7 @@ index a997843660c..723ae2498ad 100644
  #   endif
  #   define U_PLATFORM U_PF_BSD
 diff --git third_party/libFuzzer/src/afl/afl_driver.cpp third_party/libFuzzer/src/afl/afl_driver.cpp
-index 52aede7e078..d612a3ca74d 100644
+index 52aede7e078d..d612a3ca74d3 100644
 --- third_party/libFuzzer/src/afl/afl_driver.cpp
 +++ third_party/libFuzzer/src/afl/afl_driver.cpp
 @@ -70,7 +70,7 @@ If 1, close stdout at startup. If 2 close stderr; if 3 close both.
@@ -2632,7 +2765,7 @@ index 52aede7e078..d612a3ca74d 100644
  #define LIBFUZZER_APPLE 0
  #define LIBFUZZER_NETBSD 0
 diff --git third_party/libdrm/src/xf86drmMode.c third_party/libdrm/src/xf86drmMode.c
-index 22a8a7c2297..bdf530d0cd6 100644
+index 22a8a7c22978..bdf530d0cd6c 100644
 --- third_party/libdrm/src/xf86drmMode.c
 +++ third_party/libdrm/src/xf86drmMode.c
 @@ -939,7 +939,7 @@ drm_public int drmCheckModesettingSupported(const char *busid)
@@ -2645,7 +2778,7 @@ index 22a8a7c2297..bdf530d0cd6 100644
  	char oid[128];
  	int i, modesetting, ret;
 diff --git third_party/libevent/event-config.h third_party/libevent/event-config.h
-index 22c4b2e6fbf..fab4b729f3a 100644
+index 22c4b2e6fbf9..fab4b729f3a7 100644
 --- third_party/libevent/event-config.h
 +++ third_party/libevent/event-config.h
 @@ -11,7 +11,7 @@
@@ -2658,7 +2791,7 @@ index 22c4b2e6fbf..fab4b729f3a 100644
  #elif defined(__sun)
  #include "third_party/libevent/solaris/event-config.h"
 diff --git third_party/libevent/event-internal.h third_party/libevent/event-internal.h
-index b7f00402be5..64e07ba2f0d 100644
+index b7f00402be53..64e07ba2f0d6 100644
 --- third_party/libevent/event-internal.h
 +++ third_party/libevent/event-internal.h
 @@ -68,6 +68,8 @@ struct event_base {
@@ -2671,7 +2804,7 @@ index b7f00402be5..64e07ba2f0d 100644
  
  /* Internal use only: Functions that might be missing from <sys/queue.h> */
 diff --git third_party/libevent/event.c third_party/libevent/event.c
-index 4aa326e0e46..f3d0db6adf0 100644
+index 4aa326e0e46d..f3d0db6adf0f 100644
 --- third_party/libevent/event.c
 +++ third_party/libevent/event.c
 @@ -165,6 +165,8 @@ event_base_new(void)
